Package: org.codehaus.groovy.reflection.stdclasses

## [Java] Class CachedClosureClass

- org.codehaus.groovy.reflection.stdclasses.CachedClosureClass

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class CachedClass` | `EMPTY_ARRAY, classInfo, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CachedClosureClass (Class klazz, ClassInfo classInfo)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `getMaximumNumberOfParameters()`
    `` | `Class[]` | `getParameterTypes()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class CachedClass`

    `addNewMopMethods, coerceArgument, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public CachedClosureClass(Class klazz, ClassInfo classInfo)

  - ### Method Detail

    - #### public int getMaximumNumberOfParameters()

    - #### public Class[] getParameterTypes()